modelscope.models.nlp package
=============================

.. automodule:: modelscope.models.nlp
   :members:
   :undoc-members:
   :show-inheritance:

Submodules
----------

modelscope.models.nlp.bert\_for\_sequence\_classification module
------------------------------------------------------------

.. automodule:: modelscope.models.nlp.bert_for_sequence_classification
   :members:
   :undoc-members:
   :show-inheritance:

modelscope.models.nlp.palm\_for\_text\_generation module
----------------------------------------------------

.. automodule:: modelscope.models.nlp.palm_for_text_generation
   :members:
   :undoc-members:
   :show-inheritance:

modelscope.models.nlp.csanmt\_for\_translation module
----------------------------------------------------

.. automodule:: modelscope.models.nlp.palm_for_text_generation
   :members:
   :undoc-members:
   :show-inheritance:

modelscope.models.nlp.masked\_language module
----------------------------------------------------

.. automodule:: modelscope.models.nlp.masked_language
   :members:
   :undoc-members:
   :show-inheritance:

modelscope.models.nlp.sbert\_for\_nil module
----------------------------------------------------

.. automodule:: modelscope.models.nlp.sbert_for_nil
   :members:
   :undoc-members:
   :show-inheritance:

modelscope.models.nlp.sbert\_for\_sentence\_similarity module
----------------------------------------------------

.. automodule:: modelscope.models.nlp.sbert_for_sentence_similarity
   :members:
   :undoc-members:
   :show-inheritance:

modelscope.models.nlp.sbert\_for\_sentiment\_classification module
----------------------------------------------------

.. automodule:: modelscope.models.nlp.sbert_for_sentiment_classification
   :members:
   :undoc-members:
   :show-inheritance:

modelscope.models.nlp.sbert\_for\_sequence\_classification module
----------------------------------------------------

.. automodule:: modelscope.models.nlp.sbert_for_sequence_classification
   :members:
   :undoc-members:
   :show-inheritance:

modelscope.models.nlp.sbert\_for\_token\_classification module
----------------------------------------------------

.. automodule:: modelscope.models.nlp.sbert_for_token_classification
   :members:
   :undoc-members:
   :show-inheritance:

modelscope.models.nlp.sbert\_for\_zero\_shot\_classification module
----------------------------------------------------

.. automodule:: modelscope.models.nlp.sbert_for_zero_shot_classification
   :members:
   :undoc-members:
   :show-inheritance:
